Bug 141416 - ia32el does not work on kernels with 64k page size
ia32el does not work on kernels with 64k page size
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ia32el (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2004-11-30 18:48 EST by Yoav Zach
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 06:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a patch to fix the problem (976 bytes, patch)
2004-12-05 23:56 EST, Yoav Zach
no flags Details | Diff

  None (edit)
Description Yoav Zach 2004-11-30 18:48:08 EST
Description of problem:
any ia-32 application running on ia32el with such kernels will result 
segemtation fault

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

the bug exists in RHEL3 too
Comment 1 Yoav Zach 2004-11-30 18:49:27 EST
this problem will be fixed with version 86.34.22, which is currently 
under validation. should be ready early next week.
Comment 2 Yoav Zach 2004-12-05 23:56:53 EST
Created attachment 107924 [details]
a patch to fix the problem
Comment 3 Jakub Jelinek 2004-12-06 12:06:26 EST
Should be fixed in ia32el-1.1-12 in dist-4E-lacd, also put to ftp://people.redhat.com/jakub/ia32el/
Comment 4 Jay Turner 2005-01-14 06:31:44 EST
I'm not seeing any problems running 32-bit applications with 1.1-20 and
2.6.9-5.EL, so closing this out.  Please reopen if problems still occur with the
latest code.

Note You need to log in before you can comment on or make changes to this bug.